/*
PRNBRDR.C

CopyRight (C) 2005-2010 NVD's Privacy Servers
Виталий Новичков, студент МГТУ ГА, ФПМВТ, ЭВМ-1-2
*/
#ifndef PrNbRdR
#define PrNbRdR
//Определение Функции PRNERR(); для удобного вывода сообщений в рамке
void prnborder(char *errormsg="Привет мир!", int u=7)
{
textcolor(u);
register int b;
/* Выравнивание сообщения по-центру экрана методом
Вычитания из количества выводимых слева от сообщения пробелов, равному
ширине экрана в символах, половины количества символов в строчке */
for(b=0; b < 37-strlen(errormsg)/2; b++){ cprintf(" ");}
cprintf("╔═");
for(b=0; b < strlen(errormsg); b++){ cprintf("═");}
cprintf("═╗\r\n"); textcolor(u); // Граница текста красного цвета
for(b=0; b < 37-strlen(errormsg)/2; b++){ cprintf(" ");}
cprintf("║"); textcolor(7);
cprintf(" %s ", errormsg); textcolor(u);//Печать вставленного сообщения в f()
cprintf("║\r\n");
for(b=0; b < 37-strlen(errormsg)/2; b++){ cprintf(" ");}
cprintf("╚═");
for(b=0; b < strlen(errormsg); b++){cprintf("═");}
cprintf("═╝\r");
textcolor(7);
cprintf("\n");
}
#endif